
public final class Class225_Sub30 extends Class225 implements Interface56 {

   int anInt8653;
   long aLong8654;
   int anInt8655;
   char aChar8656;
   static final int anInt8657 = -1;
   int anInt8658;


   public long method157() {
      return 6912436316816380067L * this.aLong8654;
   }

   public int method92() {
      return this.anInt8658 * 1105303381;
   }

   public int method87(int var1) {
      return 934761969 * this.anInt8653;
   }

   public int method298() {
      return this.anInt8658 * 1105303381;
   }

   public int method293(int var1) {
      return this.anInt8658 * 1105303381;
   }

   public char method291(byte var1) {
      return this.aChar8656;
   }

   public char method294() {
      return this.aChar8656;
   }

   public char method295() {
      return this.aChar8656;
   }

   public int method40() {
      return 934761969 * this.anInt8653;
   }

   public long method41() {
      return 6912436316816380067L * this.aLong8654;
   }

   public long method292(int var1) {
      return 6912436316816380067L * this.aLong8654;
   }

   public long method297() {
      return 6912436316816380067L * this.aLong8654;
   }

   public long method296() {
      return 6912436316816380067L * this.aLong8654;
   }

   public int method37() {
      return -44729327 * this.anInt8655;
   }

   public int method94() {
      return this.anInt8658 * 1105303381;
   }

   public int method99(int var1) {
      return -44729327 * this.anInt8655;
   }

   public int method299() {
      return this.anInt8658 * 1105303381;
   }

   static void method13990(int var0, boolean var1, int var2) {
      Class225_Sub14_Sub2 var3 = Class49.method1193(21, (long)var0);
      var3.method15502((byte)-114);
      byte var10001;
      if(var1) {
         if(var2 <= -1239415729) {
            ;
         }

         var10001 = 1;
      } else {
         var10001 = 0;
      }

      var3.anInt9990 = var10001 * -1655449005;
   }

   public static int[] method13991(int var0, int var1, int var2, int var3, int var4, float var5, boolean var6, int var7) {
      int[] var8 = new int[var0];
      Class225_Sub24_Sub1 var9 = new Class225_Sub24_Sub1();
      var9.anInt10400 = var1 * 434744325;
      var9.aBool10405 = var6;
      var9.anInt10401 = var2 * -1662128801;
      var9.anInt10404 = var3 * 283797701;
      var9.anInt10403 = var4 * 1579365063;
      var9.anInt10392 = (int)(4096.0F * var5) * 975443379;
      var9.method16014((byte)9);
      Class425.method7255(var0, 1, 164367316);
      var9.method16008(0, var8, 1913372814);
      return var8;
   }

   public static void method13992(Class253 var0, int var1, int var2, int var3, boolean var4, byte var5) {
      Class381.method6596(var0, var1, var2, var3, var4, 0L);
   }
}
